---
updatedAt: 2025-11-06T21:53:04.000Z
agentTools:
  projectIndex: https://docs.split.io/llms.txt
---

# List groups

List all active groups in the account.

> 🚧 This endpoint will be moving
>
> As a part of integrating with Harness, this endpoint will soon be managed by general Harness systems. We recommend against creating any new integrations with this endpoint unless it is for a temporary purpose. For more information, go to [Before and After Guide: API for Split Admins](https://help.split.io/hc/en-us/articles/34773611130893-Before-and-After-Guide-API-for-Split-Admins).  You can also contact us at <support@split.io> and we will be happy to guide you to the best path forward.

***

<HTMLBlock>{`
<h3 style="color:#00A8FF;">Access requirements</h3>
<p>The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:</p>
<h4 style="color:#00A8FF; font-weight: normal;">Admin API Key roles accepted</h4>
<ul style="color:#0A0A32;">
  <li>API_ALL_GRANTED</li>
  <li>API_ADMIN</li>
</ul>
<h4 style="color:#00A8FF; font-weight: normal;">Admin API Key scopes accepted</h4>
<ul style="color:#0A0A32;">
  <li>GLOBAL</li>
</ul>
`}</HTMLBlock>

To learn more about Admin API Key roles and scopes, see [API keys overview](https://docs.split.io/reference/api-keys-overview#admin-api-key-roles).

***

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api.split.io/internal/api/v2"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/groups": {
      "get": {
        "summary": "List groups",
        "description": "List all active groups in the account.",
        "operationId": "list-groups",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "1-200 are the potential values. Default=50.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"objects\": [\n        {\n            \"id\": \"<group_id>\",\n            \"name\": \"<group_name>\",\n            \"description\": \"<description>\",\n            \"type\": \"group\"\n        },\n        {\n            \"id\": \"<group_id>\",\n            \"name\": \"<group_name>\",\n            \"description\": \"<description>\",\n            \"type\": \"group\"\n        },\n     \t {\n            \"id\": \"<group_id>\",\n            \"name\": \"<group_name>\",\n            \"description\": \"<description>\",\n            \"type\": \"group\"\n        },\n      \t{\n            \"id\": \"<group_id>\",\n            \"name\": \"<group_name>\",\n            \"description\": \"<description>\",\n            \"type\": \"group\"\n        },\n    ],\n    \"nextMarker\": null,\n    \"previousMarker\": null,\n    \"limit\": 20,\n    \"count\": 4\n}"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "If using an invalid API Key"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X GET \\\n  -H 'Authorization: Bearer ADMIN_API_KEY' \\\n https://api.split.io/internal/api/v2/groups"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```